On Mon, May 5, 2014 at 6:34 PM, Nicholas A. Schembri <nschembr@gmail.com> wrote:
Base system is Window 7 x64.
MinGW Developer Environment-5.1.14.3-Setup.exe
C:\Program\ Files\ \(x86\)/Inno\ Setup\ 5


cd /
tar --use-compress-program=lzma -xf /c/TEMP/zip-3.0-1-msys-1.0.14-bin.tar.lzma
tar  --use-compress-program=lzma -xf /c/TEMP/unzip-6.0-1-msys-1.0.13-bin.tar.lzma


 # unzipped svn-win32-1.7.6/
cd /
cp -r /c/opennx/download/svn-win32-1.7.6/* ./
alias svn=/bin/svn





This is the 14th failed build.

# svn 729
cd /c/opennx/tmp
cd 729/opennx
# I do not need to make the change.log
sed '/svn2/s:^:#:' Makefile.am  >Makefile.am.sed; mv Makefile.am.sed Makefile.am
make -f Makefile
# the first make asked me to run the next two commands.
aclocal -I m4
autoconf
make -f Makefile
./configure --build=i686-pc-mingw32 --enable-static  --with-iscc=/c/Program\ Files\ \(x86\)/Inno\ Setup\ 5/ --enable-static
make V=1

# libsndfile failed to build.
#  I ran ./configure int the libsndfile dir 
# and make 
# I restarted the opennx make 
# the opennx build continued 

# configure pulseaudio failed
configure: error: Unable to find libltdl version 2. Makes sure you have libtool 2.2 or later installed.
make[4]: *** [pulseaudio-build-native] Error 1
make[4]: Leaving directory `/c/opennx/tmp/729/opennx/packaging/win32/pulse'


# comment out the following
#if test "x$LIBLTDL" = "x"; then :
#  as_fn_error $? "Unable to find libltdl version 2. Makes sure you have libtool 2.2 or later installed." "$LINENO" 5
#fi



# this is the second failure in the configure.
# Could this be an issue with window 7 ? 
# is the configure picking up the fact this is windows and not unix? 
checking atomic_ops.h usability... no
checking atomic_ops.h presence... no
checking for atomic_ops.h... no
configure: error: *** libatomic-ops headers not found
make[4]: *** [pulseaudio-build-native] Error 1
make[4]: Leaving directory `/c/opennx/tmp/729/opennx/packaging/win32/pulse'
make[3]: *** [tmpinstall] Error 2
make[3]: Leaving directory `/c/opennx/tmp/729/opennx/packaging/win32/pulse'
make[2]: *** [packaging/win32/pulse/include/pulse/pulseaudio.h] Error 2
make[2]: Leaving directory `/c/opennx/tmp/729/opennx'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/c/opennx/tmp/729/opennx'
make: *** [all] Error 2




What is the best build/cross-compile  environment for opennx?

I just want to change the path from xming to the default install of vcxserv. 

I can get 653 to build the opennx. exe,  but my boss want to know why I can't get the current release to build.  




By the way, "make setup" on opennx.653 fails on the following:

checking for ucs2any... no
checking for MAPS... configure: error: Package requirements (fontutil) were not met:

No package 'fontutil' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables MAPS_CFLAGS
and MAPS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.



 


--

Nicholas.A.Schembri
Pittsburgh PA, USA.

Can I build opennx without pulseaudio and xming.  I just need to build opennx.exe. 


-- 

Nicholas.A.Schembri
Pittsburgh PA, USA.